## golang-google-cloud 0.115.0

=== debian/changelog ===
golang-google-cloud (0.115.0-2) unstable; urgency=medium

  * Source only upload.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 24 Feb 2026 14:50:10 +0100

golang-google-cloud (0.115.0-1) unstable; urgency=medium

  * Team upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 23 Feb 2026 10:31:58 +0100

golang-google-cloud (0.115.0-1~exp2) experimental; urgency=medium

  * Team upload.
  * Sync dependency from build-deps and run
    wrap-and-sort --wrap-always --trailing-comma.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 17 Feb 2026 08:24:57 +0100

golang-google-cloud (0.115.0-1~exp1) experimental; urgency=medium

  * debian/control: drop Priority: optional (now the default).
  * debian/control: Drop Rules-Requires-Root: no (now the default).
  * debian/control: bump to Standards-version to 4.7.3.
  * debian/control: bump deps to golang-google-api-dev (>= 0.214.0~).
  * debian/control: clean up dependency.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 15 Feb 2026 15:56:52 +0100

golang-google-cloud (0.115.0-1~exp0) experimental; urgency=medium

  * Team upload.

  [ Peymaneh Nejad ]
  * New upstream version 0.83.0.
  * d/rules:
    - do not install binaries
    - exclude disfunctional packages
    - exclude third_party modules
  * d/control: update dependencies

  [ Andrew Lee (李健秋) ]
  * New upstream version 0.115.0. (Closes: #991942)
    - accessapproval: v1.7.7
    - accesscontextmanager: v1.8.7
    - advisorynotifications: v1.4.1
    - ai: v0.6.0
    - aiplatform: v1.68.0
    - alloydb: v1.10.2
    - analytics: v0.23.2
    - apigateway: v1.6.7
    - apigeeconnect: v1.6.7
    - apigeeregistry: v0.8.5
    - apikeys: v1.1.7
    - appengine: v1.8.7
    - apphub: v0.1.1
    - apps: v0.4.2
    - area120: v0.8.7
    - artifactregistry: v1.14.9
    - asset: v1.19.1
    - assuredworkloads: v1.11.7
    - auth: v0.5.1
    - automl: v1.13.7
    - backupdr: v0.1.1
    - baremetalsolution: v1.2.6
    - batch: v1.8.7
    - beyondcorp: v1.0.6
    - bigquery: v1.61.0
    - bigtable: v1.24.0
    - billing: v1.18.5
    - binaryauthorization: v1.8.3
    - certificatemanager: v1.8.1
    - channel: v1.17.7
    - chat: v0.1.1
    - cloudbuild: v1.16.1
    - cloudcontrolspartner: v0.2.1
    - clouddms: v1.7.6
    - cloudprofiler: v0.3.2
    - cloudquotas: v0.2.1
    - cloudtasks: v1.12.8
    - commerce: v1.0.0
    - compute: v1.27.0
    - confidentialcomputing: v1.5.1
    - config: v1.0.0
    - contactcenterinsights: v1.13.2
    - containeranalysis: v0.11.6
    - container: v1.37.0
    - datacatalog: v1.20.1
    - dataflow: v0.9.7
    - dataform: v0.9.4
    - datafusion: v1.7.7
    - datalabeling: v0.8.7
    - dataplex: v1.16.0
    - dataproc: v2.4.2
    - dataqna: v0.8.7
    - datastore: v1.17.1
    - datastream: v1.10.6
    - deploy: v1.19.0
    - dialogflow: v1.54.0
    - discoveryengine: v1.8.0
    - dlp: v1.14.0
    - documentai: v1.30.0
    - domains: v0.9.7
    - edgecontainer: v1.2.1
    - edgenetwork: v0.2.4
    - errorreporting: v0.3.0
    - essentialcontacts: v1.6.8
    - eventarc: v1.13.6
    - filestore: v1.8.3
    - firestore: v1.15.0
    - functions: v1.16.2
    - gkebackup: v1.5.0
    - gkeconnect: v0.8.7
    - gkehub: v0.14.7
    - gkemulticloud: v1.2.0
    - grafeas: v0.3.6
    - gsuiteaddons: v1.6.7
    - iam: v1.1.8
    - iap: v1.9.6
    - ids: v1.4.7
    - iot: v1.7.7
    - kms: v1.17.1
    - language: v1.12.5
    - lifesciences: v0.9.7
    - logging: v1.10.0
    - longrunning: v0.5.7
    - managedidentities: v1.6.7
    - managedkafka: v0.1.0
    - maps: v1.11.1
    - mediatranslation: v0.8.7
    - memcache: v1.10.7
    - metastore: v1.13.6
    - migrationcenter: v1.0.0
    - monitoring: v1.19.0
    - netapp: v1.1.0
    - networkconnectivity: v1.14.6
    - networkmanagement: v1.13.2
    - networksecurity: v0.9.7
    - networkservices: v0.1.1
    - notebooks: v1.11.5
    - optimization: v1.6.5
    - orchestration: v1.9.2
    - orgpolicy: v1.12.3
    - osconfig: v1.12.7
    - oslogin: v1.13.3
    - parallelstore: v0.3.0
    - phishingprotection: v0.8.7
    - policysimulator: v0.2.5
    - policytroubleshooter: v1.10.5
    - privatecatalog: v0.9.7
    - profiler: v0.4.0
    - pubsub: v1.38.0
    - pubsublite: v1.8.2
    - rapidmigrationassessment: v1.0.7
    - recaptchaenterprise: v2.13.0
    - recommendationengine: v0.8.7
    - recommender: v1.12.3
    - redis: v1.16.0
    - resourcemanager: v1.9.7
    - resourcesettings: v1.7.0
    - retail: v1.17.0
    - run: v1.3.7
    - scheduler: v1.10.8
    - secretmanager: v1.13.1
    - securesourcemanager: v0.1.5
    - securitycenter: v1.30.0
    - securitycentermanagement: v0.2.1
    - security: v1.17.0
    - securityposture: v0.1.3
    - servicecontrol: v1.13.2
    - servicedirectory: v1.11.7
    - servicehealth: v1.0.0
    - servicemanagement: v1.9.8
    - serviceusage: v1.8.6
    - shell: v1.7.7
    - shopping: v0.8.1
    - spanner: v1.63.0
    - speech: v1.23.1
    - storage: v1.42.0
    - storageinsights: v1.0.7
    - storagetransfer: v1.10.6
    - streetview: v0.1.0
    - support: v1.0.6
    - talent: v1.6.8
    - telcoautomation: v0.2.2
    - texttospeech: v1.7.7
    - tpu: v1.6.7
    - trace: v1.10.7
    - translate: v1.10.3
    - vertexai: v0.11.0
    - video: v1.21.0
    - videointelligence: v1.11.7
    - visionai: v0.2.0
    - vision: v2.8.2
    - vmmigration: v1.7.7
    - vmwareengine: v1.1.3
    - vpcaccess: v1.7.7
    - webrisk: v1.9.7
    - websecurityscanner: v1.6.7
    - workflows: v1.12.6
    - workstations: v1.0.0
  * Drop backport patches that already included in upstreeam.
  * Drop 0001-skip-tests-which-need-network-access.patch. Skip in d/rules
    instead.
  * debian/control: fix missing comma and update build-deps.
  * Run wrap-and-sort --wrap-always --trailing-comma.
  * debian/rules: update DH_GOLANG_EXCLUDES that only excludes binaries,
    tests and internal/aliasgen that required more build-deps.
  * debian/rules: move dataproc, recaptcha and vision submodule directory

