=== debian/control ===
Source: golang-google-cloud
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Anthony Fok <foka@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-apache-arrow-go-dev,
               golang-github-census-instrumentation-opencensus-proto-dev,
               golang-github-einride-aip-go-dev,
               golang-github-go-git-go-git-dev,
               golang-github-golang-mock-dev (>= 1.3.1~),
               golang-github-google-btree-dev,
               golang-github-google-flatbuffers-dev,
               golang-github-google-go-cmp-dev (>= 0.3.0~),
               golang-github-google-go-github-dev,
               golang-github-google-martian-dev (>= 3.2.1~),
               golang-github-google-pprof-dev,
               golang-github-google-s2a-go-dev,
               golang-github-google-uuid-dev,
               golang-github-googleapis-enterprise-certificate-proxy-dev,
               golang-github-googleapis-gax-go-dev (>= 2.0.5~),
               golang-github-googlecloudplatform-grpc-gcp-go-dev,
               golang-github-pierrec-lz4-dev,
               golang-github-zeebo-xxh3-dev,
               golang-go.opencensus-dev (>= 0.22.0~),
               golang-golang-x-net-dev,
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-time-dev,
               golang-golang-x-tools-dev,
               golang-golang-x-xerrors-dev,
               golang-google-api-dev (>= 0.214.0~),
               golang-google-genproto-dev (>= 0.0~git20240318.94a12d6~),
               golang-google-grpc-dev (>= 1.64),
               golang-gopkg-yaml.v2-dev,
               golang-rsc-binaryregexp-dev,
               golang-opentelemetry-contrib-dev,
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-google-cloud
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-google-cloud.git
Homepage: https://cloud.google.com/go/home
XS-Go-Import-Path: cloud.google.com/go

Package: golang-google-cloud-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-apache-arrow-go-dev,
         golang-github-census-instrumentation-opencensus-proto-dev,
         golang-github-einride-aip-go-dev,
         golang-github-go-git-go-git-dev,
         golang-github-golang-mock-dev (>= 1.3.1~),
         golang-github-google-btree-dev,
         golang-github-google-flatbuffers-dev,
         golang-github-google-go-cmp-dev (>= 0.3.0~),
         golang-github-google-go-github-dev,
         golang-github-google-martian-dev (>= 3.2.1~),
         golang-github-google-pprof-dev,
         golang-github-google-s2a-go-dev,
         golang-github-google-uuid-dev,
         golang-github-googleapis-enterprise-certificate-proxy-dev,
         golang-github-googleapis-gax-go-dev (>= 2.0.5~),
         golang-github-googlecloudplatform-grpc-gcp-go-dev,
         golang-github-pierrec-lz4-dev,
         golang-github-zeebo-xxh3-dev,
         golang-go.opencensus-dev (>= 0.22.0~),
         golang-golang-x-net-dev,
         golang-golang-x-oauth2-google-dev,
         golang-golang-x-time-dev,
         golang-golang-x-tools-dev,
         golang-golang-x-xerrors-dev,
         golang-google-api-dev (>= 0.214.0~),
         golang-google-cloud-compute-metadata-dev (= ${source:Version}),
         golang-google-genproto-dev (>= 0.0~git20240318.94a12d6~),
         golang-google-grpc-dev (>= 1.64),
         golang-gopkg-yaml.v2-dev,
         golang-rsc-binaryregexp-dev,
         golang-opentelemetry-contrib-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Google Cloud Platform APIs
 Package cloud contains Google Cloud Platform APIs related types and common
 functions.
 .
 Provides both the old google.golang.org/cloud and the new cloud.google.com/go
 trees.

Package: golang-google-cloud-compute-metadata-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-golang-x-net-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Google Cloud Platform APIs (only cloud/compute/metadata)
 This package contains only google.golang.org/cloud/compute/metadata, which is
 required by other packages (such as golang-golang-x-oauth2-dev), hence useful
 to split out to break circular dependencies.
 .
 Provides both the old google.golang.org/cloud and the new cloud.google.com/go
 trees.
